<template>
	<div>
        <v-hover v-slot="{ hover }">
            <v-container class="tweet" :class="hover && 'grey lighten-4'">
                <div class="d-flex">
                    <!-- avatar -->
                    <div class="flex-grow-0">
                        <v-avatar color="primary" :size="40" class="white--text">
                            T
                        </v-avatar>
                    </div>
                    <!-- tweets -->
                    <div class="ml-5">
                        <!-- username & name -->
                        <div class="d-flex justify-space-between">
                            <div>
                                <span class="text-subtitle-1 font-weight-bold">{{ tweet.name }}</span>{{" "}}
                                <span class="text-subtitle-2 font-weight-regular grey--text text--darken-2">{{ tweet.username }}</span>{{" . "}}
                                <span class="grey--text text--darken-2">{{ tweet.time }}</span>
                            </div>
                            <IconwHover icon="mdi-dots-horizontal" color="black" />
                        </div>
                        <!-- messages -->
                        <p>{{ tweet.message }}</p>
                        <!-- images -->
                        <DialogImages v-if="tweet.images" :items="tweet.images">
                            <div class="d-flex flex-wrap">
                                <v-sheet 
                                    max-width="200" 
                                    v-for="(imgSrc, index) in tweet.images" 
                                    :key="index"
                                >
                                    <v-img
                                        :src="imgSrc"
                                        max-height="100"
                                    ></v-img>
                                </v-sheet>
                            </div>
                        </DialogImages>
                        <div class="buttons d-flex justify-space-between">
                            <IconwHover 
                                color="grey darken-3" 
                                v-for="icon in icons"
                                :key="icon.icon"
                                :icon="icon.icon"
                                :bgColorHover="icon.bgColorHover"
                                :colorHover="icon.colorHover"
                            />
                        </div>
                    </div>
                </div>
            </v-container>
        </v-hover>
        <v-divider></v-divider>
    </div>
</template>

<script>
import DialogImages from '../Home/DialogImages.vue';
import IconwHover from './IconwHover.vue';

export default {
	components: { IconwHover, DialogImages },
    props: {
        tweet: Object,
    },
    data() {
        return {
            icons: [
                { 
                    icon: 'mdi-chat-outline', 
                    colorHover: 'blue',
                    bgColorHover: 'blue lighten-5' 
                },
                { 
                    icon: 'mdi-repeat', 
                    colorHover: 'green',
                    bgColorHover: 'green lighten-5' 
                },
                { 
                    icon: 'mdi-heart-outline',
                    colorHover: 'red',
                    bgColorHover: 'red lighten-5' 
                },
                { 
                    icon: 'mdi-upload-outline',
                    colorHover: 'blue',
                    bgColorHover: 'blue lighten-5' 
                },
            ]
        }
    },
};
</script>

<style scope>
.tweet {
    cursor: pointer;
}
</style>